# $Revision: 1.20 $, $Date: 2010/05/01 10:15:00 $
Summary:	An interactive Python tool for querying accessibility information
Summary(pl.UTF-8):	Interaktywne narzędzie w Pythonie do pobierania informacji o dostępności
Name:		accerciser
Version:	1.10.1
Release:	1
License:	BSD
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/accerciser/1.10/%{name}-%{version}.tar.bz2
# Source0-md5:	15b14e77108c2fc9ffbef59e9d6cb5b7
URL:		http://live.gnome.org/Accerciser
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	python-gnome
Requires:	python-gnome-desktop-librsvg
Requires:	python-gnome-desktop-libwnck
Requires:	python-gnome-gconf
Requires:	python-gtksourceview2
Requires:	python-ipython
Requires:	python-pyatspi
Requires:	python-pygtk-gtk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interactive Python accessibility explorer.

%description -l pl.UTF-8
Interaktywny eksplorator dostępności w Pythonie.

%prep
%setup -q

%{__sed} -i -e 's/en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--without-pyreqs \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install accerciser.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall accerciser.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/accerciser
%{_datadir}/accerciser
%{_desktopdir}/accerciser.desktop
%{_mandir}/man1/accerciser.1*
%{_iconsdir}/hicolor/*/*/*
%{py_sitescriptdir}/accerciser
%{_sysconfdir}/gconf/schemas/accerciser.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: accerciser.spec,v $
Revision 1.20  2010/05/01 10:15:00  megabajt
- updated to 1.10.1

Revision 1.19  2009/12/31 10:10:45  megabajt
- updated to 1.8.0

Revision 1.18  2009/12/01 17:31:34  sparky
- BR: docbook-dtd412-xml, libxml2-progs, pkgconfig

Revision 1.17  2009/05/10 11:20:24  megabajt
- R: python-gnome-desktop-librsvg

Revision 1.16  2009/04/17 16:24:40  megabajt
- updated to 1.6.1

Revision 1.15  2009/03/24 09:38:22  megabajt
- updated to 1.6.0

Revision 1.14  2009/03/13 23:23:24  megabajt
- use X11/Applications/Accessibility

Revision 1.13  2009/03/13 19:47:56  hawk
- release 2

Revision 1.12  2008/11/05 18:39:44  sls
- typo

Revision 1.11  2008/11/05 18:39:14  sls
- BR: rpm-pythonprov

Revision 1.10  2008/10/06 18:05:29  megabajt
- updated to 1.4.0

Revision 1.9  2008/10/03 17:39:46  arekm
- release 2

Revision 1.8  2008-06-01 14:04:43  adamg
- updated to 1.3.1

Revision 1.7  2008-03-20 16:58:59  megabajt
- updated to 1.2.0; merged changes from DEVEL

Revision 1.6.2.3  2008-03-02 19:36:33  megabajt
- updated to 1.1.92

Revision 1.6.2.2  2008-02-11 09:26:18  megabajt
- updated to 1.1.91

Revision 1.6.2.1  2008-02-09 13:45:08  megabajt
- updated to 1.1.90
- use --with-omf

Revision 1.6  2008-01-05 00:37:40  qboosh
- pl
- R(): hicolor-icon-theme
- added X11 to Group

Revision 1.5  2007-10-13 23:40:41  baggins
- rel 4
- typo

Revision 1.4  2007/10/13 23:33:13  baggins
- rel 3
- added missing dir to files

Revision 1.3  2007/10/13 23:27:31  baggins
- rel 2
- list omf lang files manually, because there is no such thing as rpm-build 4.4.9-10

Revision 1.2  2007/10/13 17:19:19  megabajt
- updated to 1.0.1

Revision 1.1  2007/09/24 19:14:09  megabajt
- new
